Subject: Re: [PATCH 2/4] ipv4: Update pmtu informations on inetpeer only for output routes

From: Steffen Klassert <[email-masked]>
Date: Tue, 15 Nov 2011 11:00:14 +0100

On Mon, Nov 14, 2011 at 02:33:20PM -0500, David Miller wrote:
> From: Steffen Klassert <[email-masked]>
> Date: Mon, 14 Nov 2011 11:12:44 +0100
> 
> > So for the moment I'm thinking about adding an ip_dst_mtu()
> > function that returns dst->ops->default_mtu() for input routes
> > and dst_mtu() for output routes. Then we could convert the
> > dst_mtu() users in net/ipv4/ over to this one.
> 
> We'll need something similar for ipv6 eventually...

Well, probaply. I did not test with ipv6 yet, so I focused to
fix the ipv4 part in the first place.

> 
> I would suggest that we do away with dst_ops->default_mtu() and just
> have dst_ops->mtu() which gets invoked unconditionally by dst_mtu().
> 
> You can integrate the ->default_mtu() handling and the input route
> check into this new method.  Then IPv6 can be fixed in a
> straightforward manner later.

Ok, I'll look into this.